Page MenuHomePhabricator

Remove unnecessary "Read in another language" button except for on Main pages
Closed, ResolvedPublic3 Story Points

Description

Story
As a user, I don't need two language buttons, as it is duplicate functionality

Background
Remove bottom "read in another language" button which we left in place initially to direct existing users to the new language switching button. Currently redirects to thew new button. Side note: we should probably do this before removing instrumentation (T130849) in case this was still driving a high % of clicks.

Test Plan

  1. Visit http://reading-web-staging.wmflabs.org/wiki/T143829 with a modern or basic browser, e.g. Safari 9 on an iPhone 6.
  2. Scroll to the bottom of the article
  3. Observe that there's no "Read in another language" button
  4. Scroll to the top of the article
  5. Tap the button
  6. Observe that the language overlay opens with a link to the page on another wiki

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRemove MinervaBottomLanguageButton
mediawiki/extensions/MobileFrontend : masterUpdate wgMinervaBottomLanguageButton default value
operations/mediawiki-config : masterDisable bottom language button in Minerva
mediawiki/extensions/MobileFrontend : wmf/1.28.0-wmf.21Fix logic of MinervaBottomLanguageButton
mediawiki/extensions/MobileFrontend : wmf/1.28.0-wmf.22Fix logic of MinervaBottomLanguageButton
mediawiki/extensions/MobileFrontend : masterFix logic of MinervaBottomLanguageButton

Event Timeline

dr0ptp4kt renamed this task from Remove bottom button to Remove unnecessary "Read in another language" button except for on Main pages.Aug 25 2016, 8:28 PM
dr0ptp4kt edited projects, added MobileFrontend; removed Epic.
dr0ptp4kt moved this task from Incoming to Product Owner Backlog on the Readers-Web-Backlog board.

I believe originally we thought we should have about 6 weeks of the new page action bar before removing this.

ovasileva updated the task description. (Show Details)Sep 28 2016, 6:13 PM
ovasileva updated the task description. (Show Details)
MBinder_WMF set the point value for this task to 3.Oct 3 2016, 4:22 PM

Change 315314 had a related patch set uploaded (by Jdlrobson):
Disable bottom language button in Minerva

https://gerrit.wikimedia.org/r/315314

Change 315318 had a related patch set uploaded (by Jdlrobson):
Remove MinervaBottomLanguageButton

https://gerrit.wikimedia.org/r/315318

Change 315414 had a related patch set uploaded (by Jdlrobson):
Fix logic of MinervaBottomLanguageButton

https://gerrit.wikimedia.org/r/315414

Change 315414 merged by jenkins-bot:
Fix logic of MinervaBottomLanguageButton

https://gerrit.wikimedia.org/r/315414

Change 315446 had a related patch set uploaded (by EBernhardson):
Fix logic of MinervaBottomLanguageButton

https://gerrit.wikimedia.org/r/315446

Change 315447 had a related patch set uploaded (by EBernhardson):
Fix logic of MinervaBottomLanguageButton

https://gerrit.wikimedia.org/r/315447

Change 315446 merged by jenkins-bot:
Fix logic of MinervaBottomLanguageButton

https://gerrit.wikimedia.org/r/315446

Change 315447 merged by jenkins-bot:
Fix logic of MinervaBottomLanguageButton

https://gerrit.wikimedia.org/r/315447

Mentioned in SAL (#wikimedia-operations) [2016-10-11T23:21:58Z] <ebernhardson@mira> Synchronized php-1.28.0-wmf.22/extensions/MobileFrontend/includes/skins/SkinMinerva.php: SWAT: Fix logic of MinervaBottomLanguageButton T143829 (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2016-10-11T23:23:12Z] <ebernhardson@mira> Synchronized php-1.28.0-wmf.21/extensions/MobileFrontend/includes/skins/SkinMinerva.php: SWAT: Fix logic of MinervaBottomLanguageButton T143829 (duration: 00m 50s)

Change 315314 merged by jenkins-bot:
Disable bottom language button in Minerva

https://gerrit.wikimedia.org/r/315314

Mentioned in SAL (#wikimedia-operations) [2016-10-11T23:30:35Z] <ebernhardson@mira> Synchronized wmf-config/InitialiseSettings.php: SWAT T143829 Disable bottom language button in Minerva (duration: 00m 50s)

@Tbayer @ovasileva @JKatzWMF the language button has now been dropped from the bottom of the page. Please keep a close eye on interactions to the language switcher over the next week. If you see anything that suggests people are interacting less with the language switcher please report them before next Tuesday (18th) at which point I will continue the process of removing the code that allows us to have the language switcher at the bottom of the page and the language switcher instrumentation code. Up until that time it is trivial for us to revert this if necessary.

(We should be wary that now we don't have a button that says "change language" we are testing the strength of the language icon as well as whether people are more likely to switch language after reading an article in full)

Jdlrobson reassigned this task from Jdlrobson to ovasileva.Oct 11 2016, 11:33 PM
Jdlrobson added a subscriber: Jdlrobson.

Devs: Please review so we are ready to go if necessary, but Olga I'm assigning this to you to be clear that you are responsible for giving us the green light to remove this code.

@Jdlrobson - sounds good. Will comment before the 18th if any issues arise.

Change 315668 had a related patch set uploaded (by Phuedx):
Update wgMinervaBottomLanguageButton default value

https://gerrit.wikimedia.org/r/315668

Change 315668 merged by jenkins-bot:
Update wgMinervaBottomLanguageButton default value

https://gerrit.wikimedia.org/r/315668

Moved to needs analysis since the work has had a good deal of review and we are waiting on the green light from @ovasileva

@jhobs, @Jdlrobson; I don't tend to track code review comments on merged patches so I'll respond here:

In https://gerrit.wikimedia.org/r/#/c/315668/1/tests/browser/features/step_definitions/language_steps.rb, I removed the "When I click the language button" step because it wasn't being used anywhere. I should've noted that in the commit message.

@jhobs, @Jdlrobson; I don't tend to track code review comments on merged patches so I'll respond here:
In https://gerrit.wikimedia.org/r/#/c/315668/1/tests/browser/features/step_definitions/language_steps.rb, I removed the "When I click the language button" step because it wasn't being used anywhere. I should've noted that in the commit message.

Thanks for following up @phuedx .

@ovasileva hopefully there should be enough data to give a gut feel for a decision now. Can you take a look Tuesday/Wednesday?

@Jdlrobson - yup! hoping to look at it tonight/tomorrow AM and give an update

Ok, so we're seeing a small decrease after the change, but not significant. However, there's a strange drop in use between september 9 and september 21. Any idea where this came from?

@ovasileva this might be related but there is a big drop in search events between sep 9 and sep 21... maybe an eventloggin bug?

Indeed, these dates look very similar to T146840 .

Ok, seems to be an eventlogging issue. Ok, @Jdlrobson we're ready for this.

ovasileva removed ovasileva as the assignee of this task.Oct 19 2016, 10:12 AM
ovasileva moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-83-Y? board.

Change 315318 merged by jenkins-bot:
Remove MinervaBottomLanguageButton

https://gerrit.wikimedia.org/r/315318

phuedx assigned this task to Jdlrobson.Oct 20 2016, 10:14 AM
phuedx updated the task description. (Show Details)
phuedx added a subscriber: Nicholas.tsg.

Attached are screencaps of the different environments I tested with which were listed in the Compatibility page: Safari and Chrome for iOS, and Android Browser and Chrome for Android. In all instances tapping "Qafár af" in the language overlay opened a link to a page on another wiki, so this looks like it works as expected.

ovasileva closed this task as Resolved.Oct 21 2016, 9:03 AM